/*
 * Hanoi.java
 *
 * Created on March 15, 2008, 5:15 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ija.Hanoi.sample5.model;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author koci
 */
public class Hanoi {
    
    protected List<Tower> elements = new ArrayList<Tower>();
    
    /** Creates a new instance of Hanoi */
    public Hanoi(int numberT, int numberC) {
        Tower t;
        for (int i = 0; i < numberT; i++) {
            elements.add(new Tower(i));
        }
        t = elements.get(0);
        for (int i = numberC; i > 0; i--) {
            Checker c = new Checker(i);
            t.put(c);
        }
    }

    public Tower get(int i) {
        Tower t = null;
        if (i < elements.size()) {
            t = elements.get(i);
        }
        return t;
    }
    
    public int size() {
        return elements.size();
    }
}
