/*
 * Tower.java
 *
 * Created on March 15, 2008, 4:49 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ija.Hanoi.sample5.model;

import java.util.ArrayList;
import java.util.List;


/**
 *
 * @author koci
 */
public class Tower {
    
    protected int index;
    protected List<Checker> elements = new ArrayList<Checker>();
    
    /** Creates a new instance of Tower */
    public Tower(int i) {
        this.index = i;
    }
    
    public boolean canPut(Checker c) {
        if (this.size() > 0) {
            Checker last = elements.get(elements.size()-1);
            if (last.size() < c.size()) {
                return false;
            }
        }
        return true;
    }
    
    public boolean put(Checker c) {
        boolean b = canPut(c);
        if (b) 
            elements.add(c);
        return b;
    }
    
    public Checker get() {
        Checker c = null;
        if (elements.size() > 0) {
            c = elements.get(elements.size()-1);
        }
        return c;
    }
    
    public boolean remove() {
        if (elements.size() > 0) {
            elements.remove(elements.size()-1);
            return true;
        }
        return false;        
    }
    
    public int size() {
        return elements.size();
    }
    
    public List<Checker> elementsList() {
        return elements;
    }

    public int positionOf(Checker ch) {
        return elements.indexOf(ch);
    }
}
